#pragma once


// MFCBasicsDialog-Dialogfeld

/**\brief Modaler Dialog fr die Eingabe eines simplen Texts.
 *
 * Wird aufgerufen wenn im Fenster "CMFCBasicsView" auf
 * "Edit" geklickt wird.
 * Mittels DataExchange wird der Wert einer von auen setzbaren
 * Variablen in das Textfeld geschrieben und ausgelesen.
 */
class MFCBasicsDialog : public CDialog
{
	DECLARE_DYNAMIC(MFCBasicsDialog)

public:
	/**Konstruktor. Hier passiert nichts besonderes.
	 * @param pParent Parent-Fenster fr den modalen Dialog.
	 */
	MFCBasicsDialog(CWnd* pParent = NULL);   // Standardkonstruktor
	/**Denstruktor. Hier passiert nichts besonderes.
	 */
	virtual ~MFCBasicsDialog();

// Dialogfelddaten
	/**Resourcen-ID des Dialogfelds. 
	 */
	enum { IDD = IDD_MFCBASICSDIALOG };

protected:
	/**Datenaustausch zwischen Membervariablen und Dialogfeldern.
	 * Hier: nur das Textfeld und die Variable "m_Text".
	 * @param pDX Klasse fr den Datenaustausch und die Validierung.
	 */
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

	DECLARE_MESSAGE_MAP()
public:
	/**Der Text aus dem Edit-Control.
	 * Ist public damit er von auen ohne Get/Set-Methoden
	 * abgerufen werden kann.
	 */
	CString m_Text;
};
