// MFCBasicsDoc.h : Schnittstelle der Klasse CMFCBasicsDoc
//


#pragma once

/**\brief Document-Klasse der Anwendung.
 *
 * Enthlt hier eine serialisierbare Membervariable "m_Text".
 */
class CMFCBasicsDoc : public CDocument
{
public: // Fr TestCase
	/**Konstruktor. Instanzen knnen nur aus Serialisierung erstellt werden.
	 * Der Konstruktor ist trotzdem public da eine Instanz der
	 * Document-Klasse fr den Unit-Test erzeugt werden muss.
	 */
	CMFCBasicsDoc();
	DECLARE_DYNCREATE(CMFCBasicsDoc)

// Attribute
public:

// Vorgnge
public:

// berschreibungen
public:
	/**Neues Dokument erzeugen.
	 * @return 0 im Fehlerfall, jeder andere Wert sonst.
	 */
	virtual BOOL OnNewDocument();
	/**Serialisieren des Dokuments. 
	 * Hier wird der Inhalt der Variablen "m_Text" gespeichert/geladen.
	 * @param ar Das CArchive ber das das Speichern und Laden erfolgt.
	 */
	virtual void Serialize(CArchive& ar);

// Implementierung
public:
	/**Destruktor. Es passiert nichts.
	 */
	virtual ~CMFCBasicsDoc();
#ifdef _DEBUG
	/**Debug-Modus: Prfen ob Document gltig ist.
	 * Ruft nur Parentklassen-Methode auf.
	 */
	virtual void AssertValid() const;
	/**Debug-Modus: Klasse fr Konsolenausgabe dumpen
	 * Ruft nur Parentklassen-Methode auf.
	 * @param dc diagnostic dump context
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
private:
	/**Der Wert dieser Variablen wird in der FormView angezeigt
	 */
	CString m_Text;
public:
	/**Liefert den Text aus der Document-Klasse zurck
	 * @return Aktueller Wert der Variablen "m_Text"
	 */
	CString GetText(void);
	/**Setzen des Texts im Document
	 * @param pText Der neue Wert fr die Variable "m_Text".
	 */
	void SetText(CString pText);
};


