// MFCBasicsView.h : Schnittstelle der Klasse CMFCBasicsView
//


#pragma once

/**\brief FormView dieser Anwendung.
 * 
 * Die View enthlt ein ReadOnly-Textfeld mit dem aktuellen
 * Text aus dem Document sowie einen Button zum Bearbeiten des
 * Texts.
 */
class CMFCBasicsView : public CFormView
{
protected: // Nur aus Serialisierung erstellen
	/**Protected Konstruktor.
	 * Keine besondere Logik.
	 */
	CMFCBasicsView();
	DECLARE_DYNCREATE(CMFCBasicsView)

public:
	/**Resourcen-ID des Fensters. */
	enum{ IDD = IDD_MFCBASICS_FORM };

// Attribute
public:
	/**Typsicheres Abrufen der Document-Klasse.
	 * @return Die auf CMFCBasicsDoc gecastete Rckgabe aus der Basisklassenmethode.
	 */
	CMFCBasicsDoc* GetDocument() const;

// Vorgnge
public:

// berschreibungen
public:
	/**Initialisierung des Fensters vor dem Erzeugen.
	 * Hier passiert nichts.
	 * @param cs Mittels dieser CREATESTRUCT kann das Layout des Fensters gendert werden.
	 * @return 0 bei Fehlern, jeder andere Wert im Erfolgsfall.
	 */
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	/**Datenaustausch zwischen Eingabefeldern und Variablen.
	 * Hier passiert nichts.
	 * @param pDX Klasse fr den Datenaustausch und die Validierung.
	 */
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	/**Erstmaliges Update nachdem die View mit einem Document
	 * verknpft wurde.
	 * Hier: keine besondere Logik.
	 */
	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung

// Implementierung
public:
	/**Destruktor. Nichts besonderes.
	 */
	virtual ~CMFCBasicsView();
#ifdef _DEBUG
	/**Debug-Modus: Prfen ob View gltig ist.
	 * Ruft nur Parentklassen-Methode auf.
	 */
	virtual void AssertValid() const;
	/**Debug-Modus: Klasse fr Konsolenausgabe dumpen
	 * Ruft nur Parentklassen-Methode auf.
	 * @param dc diagnostic dump context
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
	/**Update der View nach einer nderung im Document.
	 * Wird unter anderem auch aufgerufen wenn der Text per Eingabedialog gendert wurde.
	 * @param pSender Sendende View. Wenn NULL dann geht das Update an alle Views.
	 * @param lHint Weitere, benutzerspezifische Informationen ber das Update.
     * @param pHint Weitere, benutzerspezifische Informationen ber das Update.
	 */
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
public:
	/**Eventhandler fr das Ereignis "auf Edit wurde geklickt": 
	 * Dialog fr das Editieren des Texts anzeigen. */
	afx_msg void OnBnClickedButtonEdit();
};

#ifndef _DEBUG  // Debugversion in MFCBasicsView.cpp
inline CMFCBasicsDoc* CMFCBasicsView::GetDocument() const
   { return reinterpret_cast<CMFCBasicsDoc*>(m_pDocument); }
#endif

