// MainFrm.h : Schnittstelle der Klasse CMainFrame
//


#pragma once
/**\brief Hauptfenster der Anwendung.
 *
 * Vom Klassenassistenten generiert, keine nderungen
 */
class CMainFrame : public CFrameWnd
{
	
protected: // Nur aus Serialisierung erstellen
	/**Konstruktor. Ist protected.*/
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attribute
public:

// Vorgnge
public:

// berschreibungen
public:
	/**Initialisierung des Fensters vor dem Erzeugen.
	 * Hier passiert nichts.
	 * @param cs Mittels dieser CREATESTRUCT kann das Layout des Fensters gendert werden.
	 * @return 0 bei Fehlern, jeder andere Wert im Erfolgsfall.
	 */
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementierung
public:
	/**Destruktor.
	 * Keine besondere Logik. 
	 */
	virtual ~CMainFrame();
#ifdef _DEBUG
	/**Debug-Modus: Prfen ob Klasse gltig ist.
	 * Ruft nur Parentklassen-Methode auf.
	 */
	virtual void AssertValid() const;
	/**Debug-Modus: Klasse fr Konsolenausgabe dumpen
	 * Ruft nur Parentklassen-Methode auf.
	 * @param dc diagnostic dump context
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // Eingebettete Member der Steuerleiste
	/**Die eingebettete Statusleiste. */
	CStatusBar  m_wndStatusBar;
	/**Die eingebettete Toolbar. */
	CToolBar    m_wndToolBar;

// Generierte Funktionen fr die Meldungstabellen
protected:
	/**WM_CREATE-Nachricht wird verarbeitet.
	 * @param lpCreateStruct Informationen ber das zu erzeugende Objekt.
	 * @return 0 wenn das Erzeugen weiterlaufen soll. -1 wenn das Fenster
	 *  wegen eines Fehlers zerstrt werden soll.
	 */
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()
};


