#include "StdAfx.h"
#include "MFCBasicsTestCase.h"
#include "../MFCBasics/MFCBasicsDoc.h"

CPPUNIT_TEST_SUITE_REGISTRATION(MFCBasicsTestCase);

void MFCBasicsTestCase::setUp()
{
	this->fixture = new CMFCBasicsDoc();
}
void MFCBasicsTestCase::tearDown()
{
	delete this->fixture;
}

void MFCBasicsTestCase::testSerialize()
{
	//Datei zum Schreiben ffnen. Wenn nicht vorhanden dann
	//soll sie erzeugt werden:
	CString sFileName("Serialisiert.txt");
	CFile file (sFileName, CFile::modeCreate | CFile::modeWrite);
	//Ein CArchive zum Speichern erzeugen:
	CArchive archiveStore (&file, CArchive::store);
	
	//Testdaten ins Dokument:
	CString sText("Hello World");
	this->fixture->SetText (sText);
	
	//Und Document speichern:
	this->fixture->Serialize (archiveStore);
	
	//Alles dicht machen:
	archiveStore.Flush();
	archiveStore.Close();
	file.Close();


	//Etwas anderes ins Document packen:
	this->fixture->SetText(CString("Total anderes Zeug !"));

	//Und Datei neu ffnen:
	file.Open (sFileName, CFile::modeRead);
	CArchive archiveLoad (&file, CArchive::load);
	//Dokument laden:
	this->fixture->Serialize (archiveLoad);
	archiveLoad.Close();
	file.Close();

	//Inhalt prfen:
	//CPPUNIT_ASSERT(this->fixture->GetText()  == sText);

	//Inhalt prfen mit individueller Fehlermeldung:
	CPPUNIT_ASSERT_MESSAGE("Serialize/Deserialize failed", this->fixture->GetText()  == sText);
}
